package top.tqx.demo_1.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import top.tqx.demo_1.entity.FAQSuggestion;

import java.util.List;

@Mapper
public interface FAQSuggestionMapper extends BaseMapper<FAQSuggestion> {

    List<FAQSuggestion> selectByStatus(String status);

    FAQSuggestion selectByQuery(String query);

    int updateFrequency(@Param("id") Long id, @Param("frequency") Integer frequency);

    int updateStatus(@Param("id") Long id, @Param("status") String status);
}